Provided by: debhelper_9.20120115ubuntu3_all bug

NOMBRE

       dh_python - Calcula dependencias de Python y añade scripts de Python
       postinst y prerm (obsoleto)

SINOPSIS

       dh_python [opciones-de-debhelper] [-n] [-V versin]
       [directorios-mdulos ...]

DESCRIPCIÓN

       Nota: Este programa está obsoleto. Debería usar dh_python2 en su lugar.
       Este programa no hará nada si debian/pycompat existe, o si hay un campo
       Python-Version en el fichero control.

       dh_python es un programa de debhelper que se encarga de generar las
       sustituciones para ${python:Depends} y añadirlas a los ficheros de
       sustitución de variables «substvars». También añadirá un script
       postinst y un prerm de ser necesario.

       El programa buscará scripts y módulos de Python en su paquete, y usará
       esta información para generar una dependencia sobre python, con la
       versión mayor actual, o sobre pythonX.Y si sus scripts o módulos
       necesitan una versión específica de python. La dependencia será
       sustituida en el fichero control de su paquete, dondequiera que haya
       puesto el comodín ${python:Depends}.

       Si algunos módulos necesitan ser compilados durante la instalación, se
       generarán los scripts apropiados postinst y prerm. Si se encuentran
       módulos ya compilados, serán eliminados.

       Si usa este programa, su paquete debería incluir python entre las
       dependencias de construcción.

OPCIONES

       directorios-mdulos
           If your package installs Python modules in non-standard
           directories, you can make dh_python check those directories by
           passing their names on the command line. By default, it will check
           /usr/lib/site-python, /usr/lib/$PACKAGE, /usr/share/$PACKAGE,
           /usr/lib/games/$PACKAGE, /usr/share/games/$PACKAGE and
           /usr/lib/python?.?/site-packages.

           Nota: sólo se buscan módulos binarios (.so) en
           /usr/lib/site-python, /usr/lib/python?.?/site-packages y en los
           directorios adicionales proporcionados mediante la línea de
           órdenes.

       -V versin
           Si los ficheros .py que instala su paquete se deben usar con una
           versión determinada pythonX.Y, puede usar esta opción para
           especificar la versión deseada, por ejemplo 2.3. No lo use si
           instala módulos en /usr/lib/site-python.

       -n, --noscripts
           No modifica los scripts postinst/prerm.

CONFORME A

       Normas de Debian, versión 3.5.7

       Normas de Python, versión 0.3.7

VÉASE TAMBIÉN

       debhelper(7)

       Este programa es parte de debhelper.

AUTOR

       Josselin Mouette <joss@debian.org>

       muchas de las ideas tomadas de Brendan O'Dea <bod@debian.org>

TRADUCTOR

       Traducci�n de Rudy Godoy <debian-l10n-spanish@lists.debian.org>
       Actualizaci�n de Omar Campagne Polaino